Summary:        Protocol definitions and daemon for D-Bus at-spi
Name:           at-spi2-core
Version:        2.44.1
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/at-spi2-core
Source0:        http://download.gnome.org/sources/at-spi2-core/2.44/%{name}-%{version}.tar.xz
# https://bugzilla.redhat.com/show_bug.cgi?id=1821345
Source1:        xwayland-session-scriptlet

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  meson
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xtst)

Requires:       dbus

%description
contains the DBus interface definitions for AT-SPI, the Assistive Technology 
Service Provider Interface — the core of an accessibility stack for free 
software systems.  It also contains the basic daemons of the accessibility 
stack.

%package devel
Summary: Development files and headers for at-spi2-core
Requires: %{name} = %{version}-%{release}

%description devel
The at-spi2-core-devel package includes the header files and API documentation 
for libatspi.



%prep
%autosetup -p1



%build
%meson -Ddocs=false -Ddefault_bus=dbus-broker -Ddbus_daemon=/usr/bin/dbus-daemon -Ddbus_broker=/usr/bin/dbus-broker-launch
%meson_build



%install
%meson_install
install -d %{buildroot}%{_sysconfdir}/xdg/Xwayland-session.d
install -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi

%{find_lang} %{name}



%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%{_libexecdir}/at-spi2-registryd
%{_libdir}/libatspi.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Atspi-2.0.typelib
%{_libexecdir}/at-spi-bus-launcher
%dir %{_datadir}/defaults
%dir %{_datadir}/defaults/at-spi2
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
%dir %{_sysconfdir}/xdg/Xwayland-session.d
%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi
%{_datadir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service
%{_datadir}/dbus-1/services/org.a11y.Bus.service
%{_userunitdir}/at-spi-dbus-bus.service

%files devel
%{_libdir}/libatspi.so
%{_libdir}/pkgconfig/atspi-2.pc
%{_includedir}/at-spi-2.0
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Atspi-2.0.gir



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.44.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.44.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 16 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.44.1-1
- Initial building